Loading...
Searching...
No Matches
GridStats.h File Reference

Re-computes min/max/avg/var/bbox information for each node in a pre-existing NanoVDB grid. More...

`#include "../NanoVDB.h"`
`#include "Range.h"`
`#include "ForEach.h"`
`#include <atomic>`
`#include <iostream>`

Go to the source code of this file.

## Classes

class | Extrema< ValueT, 0 >
| Template specialization of Extrema on scalar value types, i.e. rank = 0. More...
class | Extrema< VecT, 1 >
| Template specialization of Extrema on vector value types, i.e. rank = 1. More...
struct | Extrema< VecT, 1 >::Pair
class | Stats< ValueT, 0 >
| This class computes statistics (minimum value, maximum value, mean, variance and standard deviation) of a population of floating-point values. More...
class | Stats< ValueT, 1 >
| This class computes statistics (minimum value, maximum value, mean, variance and standard deviation) of a population of floating-point values. More...
struct | NoopStats< ValueT >
| No-op Stats class. More...
class | GridStats< GridT, StatsT >
| Allows for the construction of NanoVDB grids without any dependecy. More...
struct | GridStats< GridT, StatsT >::NodeStats

## Namespaces

namespace | nanovdb

## Enumerations

enum class | StatsMode : uint32_t { Disable = 0 , BBox = 1 , MinMax = 2 , All = 3 , Default = 3 , End = 4 }
| Grid flags which indicate what extra information is present in the grid buffer. More...

## Functions

template<typename BuildT>
void | gridStats (NanoGrid< BuildT > &grid, StatsMode mode=StatsMode::Default)
| Re-computes the min/max, stats and bbox information for an existing NanoVDB Grid.
template<typename BuildT>
Extrema< typename NanoGrid< BuildT >::ValueType > | getExtrema (const NanoGrid< BuildT > &grid, const CoordBBox &bbox)
| return the extrema of all the values in a grid that intersects the specified bounding box.

## Detailed Description

Re-computes min/max/avg/var/bbox information for each node in a pre-existing NanoVDB grid.

Author
  Ken Museth

Date
  August 29, 2020